Example Programs

cancel
Showing results for 
Search instead for 
Did you mean: 

How to get the version of the installed NI Software, Driver and Modules from LabVIEW?

Overview
This example demonstrates a method of programmatically getting the version of the NI Software, Drivers, and or Devices by utilizing the System Configuration API.

 


Description
The VI initializes a session to the localhost, and searches for the software components on the system. It then compares the items found on the system with the piece of software that the user wants.  If the software is not found it reports a Driver not found

 


Requirements

  • LabVIEW 2012 (or compatible)
  • NI System Configuration 5.3.3 (or compatible)


Steps to Implement or Execute Code

  1. Unzip the attached folder to your computer
  2. Open the VI "Find Version of Installed Driver 2012 NIVerified.vi"
  3. Configure which drivers you would like to find the driver version in the block diagram in the two string constants (This example uses NI-IMAQdx and NI-Serial)
  4. Run the VI as is or use it as a SubVI in an application
  5. Observe the driver version in the string indicators on the front panel

 

Additional Information or References
VI Snippet

 Block Diagram.png

 

 **This document has been updated to meet the current required format for the NI Code Exchange.**

 

______________
Florian Abry
Inside Sales Engineer, NI Germany
Comments
Member alias10
Member

I have Labview 2010 SP1 without the RT system installed and the vi does not work. I get the following error:

Error -2147220364 occurred at nisyscfg.lvlib:Get Installed Components.vi.

Possible reason(s):

NI System Configuration:  (Hex 0x80040474) The specified target does not support this operation or property.

Complete call chain:

     nisyscfg.lvlib:Get Installed Components.vi

     Untitled 1